# Created by pyp2rpm-1.0.1
%global pypi_name gevent-socketio

Name:           python-gevent-socketio
Version:        0.3.6
Release:        %mkrel 18
Group:          Development/Python
Summary:        SocketIO server based on the Gevent pywsgi server, a Python network library

License:        BSD
Url:            https://pypi.org/project/gevent-socketio/
Source0:        https://pypi.io/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(gevent)
BuildRequires:  python3dist(versiontools)

# doc
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(gevent-websocket)
BuildRequires:  python3dist(gunicorn)

%description
gevent-socketio is a Python implementation of the Socket.IO
protocol, developed originally for Node.js by LearnBoost and then
ported to other languages.  Socket.IO enables real-time web
communications between a browser and a server, using a WebSocket-like
API.


%package -n     python3-%{pypi_name}
Summary:        SocketIO server based on the Gevent pywsgi server, a Python3 network library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
gevent-socketio is a Python 3 implementation of the Socket.IO
protocol, developed originally for Node.js by LearnBoost and then
ported to other languages.  Socket.IO enables real-time web
communications between a browser and a server, using a WebSocket-like
API.


%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf gevent_socketio.egg-info/

2to3 -n -w .

%build
%py3_build

# generate html docs
sphinx-build docs/source html

# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%install
%py3_install

%files -n python3-%{pypi_name}
%doc html README.rst LICENSE
%{python3_sitelib}/socketio
%{python3_sitelib}/gevent_socketio-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jul 20 2022 mrambo3501 <mrambo3501> 0.3.6-18.mga9
+ Revision: 1869642
- fix files list
- rebuild for python-3.10
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jun 26 2021 wally <wally> 0.3.6-16.mga9
+ Revision: 1732536
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.3.6-15.mga8
+ Revision: 1533111
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.3.6-14.mga8
+ Revision: 1443450
- rebuild for python-3.8
- drop python2 subpkg

* Mon Aug 19 2019 wally <wally> 0.3.6-13.mga8
+ Revision: 1430036
- build docs with python3-sphinx

* Sat Jan 12 2019 tmb <tmb> 0.3.6-12.mga7
+ Revision: 1355234
- rebuild for python 3.7
+ shlomif <shlomif>
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.3.6-10.mga7
+ Revision: 1288920
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 0.3.6-9.mga7
+ Revision: 1227829
- rename python-gevent-socketio to python2-gevent-socketio
- add BRs on python{2,3}-versiontools

* Thu Oct 05 2017 tv <tv> 0.3.6-8.mga7
+ Revision: 1169076
- add BR on python2dist(gevent) thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 0.3.6-7.mga7
+ Revision: 1135433
- Rebuild for python 3.6

* Mon Feb 08 2016 daviddavid <daviddavid> 0.3.6-6.mga6
+ Revision: 944210
- fix python3 version from sphinx-build-3.x command
- use new python macros
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ joequant <joequant>
- python3

* Wed Oct 15 2014 umeabot <umeabot> 0.3.6-4.mga5
+ Revision: 743952
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.6-3.mga5
+ Revision: 728542
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.6-2.mga5
+ Revision: 688048
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 joequant <joequant> 0.3.6-1.mga5
+ Revision: 653247
- imported package python-gevent-socketio

